Chains
Relay / exit chaining between servers.
5 endpoints
GET /api/chain
Get Chain
List relay/exit chains between servers and the state of each link.
Sudo admin only
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X GET 'https://YOUR-PANEL/api/chain' \
-H 'Authorization: Bearer $TOKEN'POST /api/chain/{key}/check
Check Exit
open a few sites from this server, the way its users' traffic leaves
Sudo admin only
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
key | path | string | yes |
Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X POST 'https://YOUR-PANEL/api/chain/<key>/check' \
-H 'Authorization: Bearer $TOKEN'PUT /api/chain/{key}/exit
Put Exit
leave this server through one of its core's outbounds / balancers
Sudo admin only
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
key | path | string | yes |
Request body application/json · ExitIn
| Field | Type | Required | Description |
|---|---|---|---|
tag | string | no |
{
"tag": ""
}Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X PUT 'https://YOUR-PANEL/api/chain/<key>/exit' \
-H 'Authorization: Bearer $TOKEN' \
-H 'Content-Type: application/json' \
-d '{"tag": ""}'PUT /api/chain/{key}/inbounds
Put Inbound Exits
choose where the users of these inbounds leave (several inbounds may share one server)
Sudo admin only
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
key | path | string | yes |
Request body application/json · InboundExitIn
| Field | Type | Required | Description |
|---|---|---|---|
tags | string[] | yes | |
target | string | no |
{
"tags": [
"string"
],
"target": ""
}Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X PUT 'https://YOUR-PANEL/api/chain/<key>/inbounds' \
-H 'Authorization: Bearer $TOKEN' \
-H 'Content-Type: application/json' \
-d '{"tags": ["string"], "target": ""}'PUT /api/chain/{relay}
Put Chain
Set which exit server a relay node forwards to (per inbound).
Sudo admin only
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
relay | path | string | yes |
Request body application/json · LinkIn
| Field | Type | Required | Description |
|---|---|---|---|
exit | string | no | |
port | integer | no | |
address | string | no | |
sni | string | no | Default: "www.microsoft.com". |
{
"exit": "string",
"port": 0,
"address": "",
"sni": "www.microsoft.com"
}Response 200 Successful Response
Errors: 401 Unauthorized, 403 Forbidden
curl -X PUT 'https://YOUR-PANEL/api/chain/<relay>' \
-H 'Authorization: Bearer $TOKEN' \
-H 'Content-Type: application/json' \
-d '{"exit": "string", "port": 0, "address": "", "sni": "www.microsoft.com"}'